Subject: Re: [PATCH 3/4 v6] cache-tree: subdirectory tests

From: Junio C Hamano <[email-masked]>
Date: Sun, 13 Jul 2014 09:42:23 -0700

David Turner <[email-masked]> writes:

> On Fri, 2014-07-11 at 08:40 -0700, Junio C Hamano wrote:
>
>> In the ideal world, I think whoever tries to compare two cache-trees
>> (i.e. test-dump-cache-tree) should *not* care, because we are merely
>> trying to show what the correct tree object name for the node would
>> be, but this is only for testing, so the best way forward would be
>> to:
>> 
>>  - Stop using DRY_RUN in test-dump-cache-tree.c;
>> 
>>  - Stop the code to support DRY_RUN from cache-tree.c (nobody but
>>    the test uses it); and
>> 
>>  - Drop the "-e '#(ref)/d'" from the above.
>> 
>> I would think.
>
> Do you mean that I should do this in this patch set, or that it's a good
> idea for the future?

I have no strong preference either way.  Removing DRY_RUN may
simplify things in the code that gets used in the real life (as
opposed to the code that is only used during the tests), so I do not
mind it if it was done before the series as a preparation step.

> Also, if we don't use DRY_RUN, won't test-dump-cache-tree add trees to
> the actual ODB, which would be odd for a test program?

I do not see it as odd at all; after all, nobody in the real-life
uses dry-run and as you can see its use is broken, or at least is
inconsistent with the rest of the system.